Debian Bug report logs - #121548
error in curs_set manual page

version graph

Package: libncurses5-dev; Maintainer for libncurses5-dev is Craig Small <csmall@debian.org>; Source for libncurses5-dev is src:ncurses.

Reported by: Matt Kraai <kraai@debian.org>

Date: Wed, 28 Nov 2001 15:03:02 UTC

Severity: minor

Tags: patch

Found in version 5.2.20010318-3

Fixed in version ncurses/5.2.20020112a-1

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#121548; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@debian.org>
To: submit@bugs.debian.org
Subject: error in curs_set manual page
Date: Wed, 28 Nov 2001 05:07:17 -0800
Package: libncurses5-dev
Version: 5.2.20010318-3
Severity: minor
Tags: patch

The curs_set manual page has an error: it should state that
curs_set is called by endwin if it was previously called to set
the cursor to invisible or very visible.

Matt

--- ncurses-5.2.20010318/man/curs_kernel.3x	Sat Feb 26 17:37:46 2000
+++ ncurses/man/curs_kernel.3x	Wed Nov 28 05:01:58 2001
@@ -138,7 +138,7 @@
 Both ncurses and SVr4 will call \fBcurs_set\fR in \fBendwin\fR
 if \fBcurs_set\fR
 has been called to make the cursor other than normal, i.e., either
-visible or very visible.
+invisible or very visible.
 There is no way for ncurses to determine the initial cursor state to
 restore that.
 .SH PORTABILITY



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matt Kraai <kraai@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 121548-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 121548-close@bugs.debian.org
Subject: Bug#121548: fixed in ncurses 5.2.20020112a-1
Date: Thu, 17 Jan 2002 15:04:52 -0500
We believe that the bug you reported is fixed in the latest version of
ncurses, which has been installed in the Debian FTP archive:

libncurses5-dbg_5.2.20020112a-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.2.20020112a-1_i386.deb
libncurses5-dev_5.2.20020112a-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.2.20020112a-1_i386.deb
libncurses5_5.2.20020112a-1_i386.deb
  to pool/main/n/ncurses/libncurses5_5.2.20020112a-1_i386.deb
libncursesw5-dbg_5.2.20020112a-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.2.20020112a-1_i386.deb
libncursesw5-dev_5.2.20020112a-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.2.20020112a-1_i386.deb
libncursesw5_5.2.20020112a-1_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.2.20020112a-1_i386.deb
ncurses-base_5.2.20020112a-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.2.20020112a-1_all.deb
ncurses-bin_5.2.20020112a-1_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.2.20020112a-1_i386.deb
ncurses-term_5.2.20020112a-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.2.20020112a-1_all.deb
ncurses_5.2.20020112a-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.2.20020112a-1.diff.gz
ncurses_5.2.20020112a-1.dsc
  to pool/main/n/ncurses/ncurses_5.2.20020112a-1.dsc
ncurses_5.2.20020112a.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.2.20020112a.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 121548@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 16 Jan 2002 22:20:00 -0500
Source: ncurses
Binary: libncurses5 libncurses5-dev ncurses-base libncursesw5-dbg libncurses5-dbg libncursesw5-dev ncurses-bin ncurses-term libncursesw5
Architecture: source i386 all
Version: 5.2.20020112a-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries and docs for ncurses
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 109765 112561 121548
Changes: 
 ncurses (5.2.20020112a-1) unstable; urgency=low
 .
   * New upstream patchlevel.
     - Correct curs_set manual page (Closes: #121548).
     - Correct kbs for Mach terminal types (Closes: #109765).
   * Include a patch to improve clearing colored lines (Closes: #112561).
   * Build even shared library with debugging info; we strip it out anyway,
     but this makes the build directory more useful.
   * Build in separate object directories.
   * Build wide character support in new packages.
   * Change the -dbg packages to include debugging shared libraries in
     /usr/lib/debug; lose the profiling and static debugging libraries;
     ship unstripped libraries in -dev.
   * Don't generate debian/control or debian/shlibs.dummy.
   * Use debhelper in v3 mode.
Files: 
 d21613ceb49d70fb81b6fd86e122ff77 771 libs standard ncurses_5.2.20020112a-1.dsc
 736a02095cd4829f9ed6d644f82cca20 1988694 libs standard ncurses_5.2.20020112a.orig.tar.gz
 0857a88757b29cc5dcb21d3466b23de7 23198 libs standard ncurses_5.2.20020112a-1.diff.gz
 cc14949dc70248f765b0ee22f28bb462 237234 base required libncurses5_5.2.20020112a-1_i386.deb
 de64ec68018d59d29bc4177fb4947f5a 998018 devel optional libncurses5-dev_5.2.20020112a-1_i386.deb
 27d9b3dd3b7f9edd2188b61ff8dcf769 401920 devel extra libncurses5-dbg_5.2.20020112a-1_i386.deb
 a02cd7e05331ccc048db41e5633003db 244092 libs optional libncursesw5_5.2.20020112a-1_i386.deb
 b205f8e91004603ac90ba0511a78057e 375802 devel optional libncursesw5-dev_5.2.20020112a-1_i386.deb
 252d592af42f38b70db28d5f0b74947b 413362 devel extra libncursesw5-dbg_5.2.20020112a-1_i386.deb
 2f7cdb0e07a20d4cbc546138ade21f3b 291594 base required ncurses-bin_5.2.20020112a-1_i386.deb
 631569e40d5a62aecb039aa58782ea9b 111182 base required ncurses-base_5.2.20020112a-1_all.deb
 33eb431e6e58682ec702b9aba86b163b 502176 admin standard ncurses-term_5.2.20020112a-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8RxOVbgOPXuCjg3cRAvu+AJ0TOwOEX2QLxe/5Bn5e0VHtGB7rEACgvgzL
hpj48M7IJh3yeHlDsM+/A/k=
=2TTe
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:36:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.